## gnome-rr-output

gnome-rr-output

## Synopsis

    #include <libgnomeui/gnome-rr.h>

    typedef             GnomeRROutput;
    guint32             gnome_rr_output_get_id              (GnomeRROutput *output);
    const char *        gnome_rr_output_get_name            (GnomeRROutput *output);
    gboolean            gnome_rr_output_is_connected        (GnomeRROutput *output);
    int                 gnome_rr_output_get_size_inches     (GnomeRROutput *output);
    int                 gnome_rr_output_get_width_mm        (GnomeRROutput *outout);
    int                 gnome_rr_output_get_height_mm       (GnomeRROutput *output);
    const guint8 *      gnome_rr_output_get_edid_data       (GnomeRROutput *output);
    GnomeRRCrtc **      gnome_rr_output_get_possible_crtcs  (GnomeRROutput *output);
    GnomeRRMode **      gnome_rr_output_list_modes          (GnomeRROutput *output);
    GnomeRRMode *       gnome_rr_output_get_current_mode    (GnomeRROutput *output);
    GnomeRRMode *       gnome_rr_output_get_preferred_mode  (GnomeRROutput *output);
    gboolean            gnome_rr_output_supports_mode       (GnomeRROutput *output,
                                                             GnomeRRMode *mode);
    GnomeRRCrtc *       gnome_rr_output_get_crtc            (GnomeRROutput *output);
    void                gnome_rr_output_get_position        (GnomeRROutput *output,
                                                             int *x,
                                                             int *y);
    gboolean            gnome_rr_output_can_clone           (GnomeRROutput *output,
                                                             GnomeRROutput *clone);

## Description

## Details

### GnomeRROutput

    typedef struct GnomeRROutput GnomeRROutput;

### gnome_rr_output_get_id ()

    guint32             gnome_rr_output_get_id              (GnomeRROutput *output);

`output` : |
Returns : |

### gnome_rr_output_get_name ()

    const char *        gnome_rr_output_get_name            (GnomeRROutput *output);

`output` : |
Returns : |

### gnome_rr_output_is_connected ()

    gboolean            gnome_rr_output_is_connected        (GnomeRROutput *output);

`output` : |
Returns : |

### gnome_rr_output_get_size_inches ()

    int                 gnome_rr_output_get_size_inches     (GnomeRROutput *output);

`output` : |
Returns : |

### gnome_rr_output_get_width_mm ()

    int                 gnome_rr_output_get_width_mm        (GnomeRROutput *outout);

`outout` : |
Returns : |

### gnome_rr_output_get_height_mm ()

    int                 gnome_rr_output_get_height_mm       (GnomeRROutput *output);

`output` : |
Returns : |

### gnome_rr_output_get_edid_data ()

    const guint8 *      gnome_rr_output_get_edid_data       (GnomeRROutput *output);

`output` : |
Returns : |

### gnome_rr_output_get_possible_crtcs ()

    GnomeRRCrtc **      gnome_rr_output_get_possible_crtcs  (GnomeRROutput *output);

`output` : |
Returns : |

### gnome_rr_output_list_modes ()

    GnomeRRMode **      gnome_rr_output_list_modes          (GnomeRROutput *output);

`output` : |
Returns : |

### gnome_rr_output_get_current_mode ()

    GnomeRRMode *       gnome_rr_output_get_current_mode    (GnomeRROutput *output);

`output` : |
Returns : |

### gnome_rr_output_get_preferred_mode ()

    GnomeRRMode *       gnome_rr_output_get_preferred_mode  (GnomeRROutput *output);

`output` : |
Returns : |

### gnome_rr_output_supports_mode ()

    gboolean            gnome_rr_output_supports_mode       (GnomeRROutput *output,
                                                             GnomeRRMode *mode);

`output` : |
`mode` : |
Returns : |

### gnome_rr_output_get_crtc ()

    GnomeRRCrtc *       gnome_rr_output_get_crtc            (GnomeRROutput *output);

`output` : |
Returns : |

### gnome_rr_output_get_position ()

    void                gnome_rr_output_get_position        (GnomeRROutput *output,
                                                             int *x,
                                                             int *y);

`output` : |
`x` : |
`y` : |

### gnome_rr_output_can_clone ()

    gboolean            gnome_rr_output_can_clone           (GnomeRROutput *output,
                                                             GnomeRROutput *clone);

`output` : |
`clone` : |
Returns : |